(define (domain kitchen)
  (:requirements :typing :strips :equality :probabilistic-effects :rewards)
  (:types plate cup fork)
  (:predicates (clear ?X - plate)
               (clear ?X - cup)
               (clear ?X - fork)
               (broken ?X - plate)
               (broken ?X - cup)
               (broken ?X - fork)
               (onTable ?X - plate)
               (onTable ?X - cup)
               (onTable ?X - fork)
               (on ?X - plate ?Y - plate)
               (on ?X - plate ?Y - cup)
               (on ?X - plate ?Y - fork)
               (on ?X - cup ?Y - plate)
               (on ?X - cup ?Y - cup)
               (on ?X - cup ?Y - fork)
               (on ?X - fork ?Y - plate)
               (on ?X - fork ?Y - cup)
               (on ?X - fork ?Y - fork)
               (finished)
  )
  (:action finish_action
    :parameters ()
    :precondition (and (not (finished)))
    :effect (and (finished) 
                (when (not (finished)) (increase (reward) 14.8))
                (when (broken plate1) (increase (reward) -5.0))
                (when (broken plate2) (increase (reward) -5.0))
                (when (broken plate3) (increase (reward) -5.0))
                (when (broken cup1)   (increase (reward) -5.0))
                (when (onTable plate1) (increase (reward) -1.0))
                (when (onTable plate2) (increase (reward) -1.0))
                (when (onTable plate3) (increase (reward) -1.0))
                (when (onTable cup1) (increase (reward) -1.0))
            )
  )
)

