(define (domain kitchen)
  (:requirements :typing :strips :equality :probabilistic-effects :rewards)
  (:types)
  (:predicates                (finished )
  )
  (:action putPlateOn
   :parameters (?X - default ?Y - default)
   :precondition (and (clear ?X) (not (cup ?X)) (not (cup ?Y)) (not (finished)) )
   :effect (and (probabilistic  0.366 (and (on ?X ?Y) (not (clear ?Y)) (not (onTable ?X)) ))
 )
  )
  (:action putPlateOn
   :parameters (?X - default ?Y - default)
   :precondition (and (clear ?X) (cup ?Y) (onTable ?X) (not (finished)) )
   :effect (and (probabilistic  1 (and (broken ?X) ))
 )
  )
  (:action putPlateOn
   :parameters (?X - default ?Y - default)
   :precondition (and (cup ?Y) (not (onTable ?X)) (not (finished)) )
   :effect (and (probabilistic )
 )
  )
  (:action putPlateOn
   :parameters (?X - default ?Y - default)
   :precondition (and (cup ?X) (not (finished)) )
   :effect (and (probabilistic )
 )
  )
  (:action putPlateOn
   :parameters (?X - default ?Y - default)
   :precondition (and (not (clear ?X)) (not (finished)) )
   :effect (and (probabilistic )
 )
  )
  (:action finish_action
   :parameters ()
   :precondition (and (not (finished)) )
   :effect (and (probabilistic  1 (and (finished) ))
                (when  (and (not (finished)) ) (increase (reward) 14.8))
                (when  (and (broken 71) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 72) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 73) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 74) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 75) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 76) (not (finished)) ) (decrease (reward) 5))
                (when  (and (broken 77) (not (finished)) ) (decrease (reward) 5))
                (when  (and (onTable 71) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 72) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 73) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 74) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 75) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 76) (not (finished)) ) (decrease (reward) 1))
                (when  (and (onTable 77) (not (finished)) ) (decrease (reward) 1))
 )
  )
)
